Bug Hunting Session
Bug 54927 - Variants of A5 format not recognized
Summary: Variants of A5 format not recognized
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.6.0.2 rc
Hardware: Other All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Page
  Show dependency treegraph
 
Reported: 2012-09-14 15:28 UTC by Paolo Benvenuto
Modified: 2017-09-18 11:07 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Benvenuto 2012-09-14 15:28:23 UTC
A5 format is defined as 148 × 210 mm with 1.5/2.00 mm tolerance, see http://en.wikipedia.org/wiki/ISO_216

However, as each A5 side should be half the A3 side, and A3 format is 297 × 420 mm, some software sets A5 as 148.5 × 210 mm

Actually, it seems that a .doc coming from MS Office has A5 = 148.5 × 210 mm (this size are A5 within the standard tolerance): this way opening it with libreoffice has the result that the document has custom format and not A5!

Libreoffice should recognize this format as A5, and not put it as custom.
Comment 1 Jorendc 2012-12-29 17:28:45 UTC
Thanks for reporting!

Is it possible to add a A5 (.doc) in the attachment, so we can test it?

Thanks in advance!
Comment 2 Paolo Benvenuto 2012-12-30 21:23:20 UTC
No need to attach a doc, simply open a new doc, set page size to A5 and then change the 14.80mm size to 14.85: size isn't A5 anymore, it custom.

Save it and reopen: it should be A5, it's still custom.
Comment 3 Jorendc 2012-12-30 21:50:46 UTC
Mmh, I understand your bug report; but I WOULD LIKE to set this bug to 'RESOLVED WONTFIX' ... but I set it as NEW and ENHANCEMENT with the LOWEST priority.

1) I saved a A5 document (.doc) in Word, and it's correctly recognized as A5, because Word correctly set file size as 148 x 210 mm. As you referred to ISO 216, this is the correct size for A5 page format. With what file

2) 148 x 210 mm following ISO 216 has indeed a tolerance of ±1.5 mm for dimensions up to 150 mm. But these tolerances are set to control if a page is 'good' or 'bad' (for example by a company that makes paper sheets)... The machines are all set to 148 x 210 mm, but there will be some inaccuracies in the process. After all there will be a 'check'/'control' whether the page has the good size. If the page is only good when it's 148 x 210 mm precise ... you'll need to throw MANY pages away. That's why there is a tolerance... Having said that ... why would you start with an A5 page that has not a symmetrical tolerance ... and thus take higher risk to create BAD pages (= average on 148.5mm, so closer to the MAX 149.5 mm to be an A5 page)...

3) considering my 2 point up here ... I think this is still the right behavior of LibreOffice to start with the correct sizes, with symmetrical tolerances.

I hope you see my point I try to make here.

Kind regards,
Joren
Comment 4 Yousuf Philips (jay) (retired) 2017-09-17 17:01:18 UTC
I tested MSO 2007, 2010 and 2013 and none of them listed A5 as an available page size option, so i tested MSO 2003 and it did have A5 listed, so i saved a .doc file and opened it in LO 5.2 and it opened fine as A5 (14.80cm x 21cm).
Comment 5 Heiko Tietze 2017-09-18 11:07:22 UTC
(In reply to Yousuf Philips (jay) from comment #4)
> I tested MSO 2007, 2010 and 2013 and none of them listed A5 as an available
> page size option, so i tested MSO 2003 and it did have A5 listed, so i saved
> a .doc file and opened it in LO 5.2 and it opened fine as A5 (14.80cm x
> 21cm).

MSO2010 has A5 (maybe available dimensions depend on regional settings) and saves with 148x210, which is recognized as A5 in Writer. So WFM.
I would also follow Jorendc's comment 3 that allowing a variability in sizes so that 148.5x210 is categorized as A5 leads to the risk of bad formats.